Subject: Re: pathname conversion
From: [email-masked] (Perry E. Metzger)

24 Sep 1997 08:33:24 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: "John R. Dennis" <[email-masked]>
Cc: [email-masked], [email-masked]

"John R. Dennis" writes:
> You listed a number of reason why DOS/Win32 is brain dead (no argument
> here) and why the UNIX solution is superior (once again no
> argument). But what you didn't do is answer my question, which was why
> are tools targeted for one environment not compatible with that environment?

CygWin is NOT an NT programming environment. It is a compatibility
system to permit programs written for a reasonable environment (Unix)
to run in an unreasonable one (Win32).

If the pathnames were the same, Unix programs would BREAK. Period. If
I want to compile Bind or Sendmail and have them run unmodified, well,
the programs CAN'T have to worry about the "current drive" and if they
say they want /etc/named.boot or some such they can't have everything
on earth spit up on them.

> Am I in the minority when I suggest porting includes making the port
> compatible with the target environment?

The whole point here is to NOT force people to rewrite their Unix
utilities when they want to run them. You would force people to
violate that constraint.

Perry
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".